function chng(x) {
if(x==0) valact()
}
function exswap()
{
	return
}
function cons(xx) { botonpres=xx.value }
function closeform()
{
	swapin()
        fld=0
        if(botonpres=="Consultar")
        {
                for(i=0;i<nhd;i++) if( document.tpdocform.elements[i].value!="") fld=1
                if(fld==0) document.tpdocform.elements[0].value="*"
                return true
        }
	swapin()
	return true
}
function insert(rrow)
{
row=nhd+nrd*ncd+rrow*(ncd+1)
rw=(document.tpdocform.elements[row].value)-1
if(document.tpdocform.elements[row+1].value !="")
if(document.tpdocform.elements[nhd+(nrd-1)*ncd].value=="")
{
	swapin()
	for(i=nrd-1;i>rw;i--) for (j=0;j<ncd;j++)
	document.tpdocform.elements[nhd+i*ncd+j].value=document.tpdocform.elements[nhd+i*ncd+j-ncd].value
	for (j=0;j<ncd;j++) document.tpdocform.elements[nhd+i*ncd+j].value=""
	swapout()
}
else alert ("NO PERMITE NUEVA INSERCION")
else
{
	swapin()
	for(i=rw; i<nrd-1;i++) for (j=0;j<ncd;j++)
	document.tpdocform.elements[nhd+i*ncd+j].value=document.tpdocform.elements[nhd+i*ncd+j+ncd].value
	for (j=0;j<ncd;j++)
	document.tpdocform.elements[nhd+i*ncd+j].value=""
	swapout()
}
}
function clearform()
{
lreg=nhd+nrd*ncd+lin*(ncd+1)
for (i=0;i<lreg;i++)
{
	document.tpdocform.elements[i].value=""
	if(document.tpdocform.elements[i].type=="checkbox")
		document.tpdocform.elements[i].checked=false
}
document.tpdocform.elements[i++].disabled=false
document.tpdocform.elements[i++].disabled=false
}
function cuenta2(rrow)
{
	fld=nhd+nrd*ncd+rrow*(ncd+1)+2
	document.tpdocform.elements[fld-1].value=document.tpdocform.elements[fld].value
}
function cuenta(rrow)
{
	fld=nhd+nrd*ncd+rrow*(ncd+1)+1
	//ct0=ct[id[document.tpdocform.elements[fld].value]]
	//ct1=ct0.split("|")
	document.tpdocform.elements[fld+1].value=document.tpdocform.elements[fld].value
}
